{% extends "base.html" %}

{% block content %}

    <div class="row">
        <aside id="sidebar" class="col-3 min-vh-100 max-vh-100" style="position: relative;">
            {% include 'header.html' %}
            <input type="button" value="Help" data-toggle="modal" data-target="#modalHelpAlgo" class="btn btn-primary">
            <p class="text-gray font-weight-bold text-uppercase px-3 small pb-4 mb-0" title="{{ translations[language]["selectAlgo"] }}">{{ translations[language]["selectAlgo2"] }}</p>
            <form id="formAlgorithm" class="px-3 small">
                <select id="selectAlgorithm">
                    <option selected value="{{ translations[language]["KWalgorithm"] }}">{{ translations[language]["chooseAlgo"] }}</option>
                </select>
            </form>

            <div id="tuningSection" style="visibility: hidden">
                <hr/>

                <p class="font-weight-bold text-uppercase px-3 small" title="{{ translations[language]["paramAlgo"] }}">{{ translations[language]["paramAlgo2"] }}</p>
                <form id="formParameters">
                    <div class="col-12" id="divParameters">
                        <h6>{{ translations[language]["#specificParametersTitle"] }}<i id="specificParametersTitle" class="fas fa-angle-double-up"></i></h6>
                        <ul id="specificParameters" class="nav flex-column bg-white mb-0" style="display: block"></ul>
                        <h6>{{ translations[language]["#commonParametersTitle"] }}<i id="commonParametersTitle" class="fas fa-angle-double-up"></i></h6>
                        <ul id="commonParameters" class="nav flex-column bg-white mb-0" style="display: block"></ul>
                    </div>
                </form>

                <p class="font-weight-bold text-uppercase px-3 small" title="{{ translations[language]["tuneDataset"] }}" style="padding-top: 1rem; padding-bottom: 0; margin-bottom: 0">{{ translations[language]["tuneDataset2"] }}</p>
                <ul class="nav flex-column bg-white mb-0">
                    <li class="nav-item">
                        <div class="nav-link">
                            <i class="fa fa-question-circle mr-3 text-primary fa-fw" title="{{ translations[language]["sizeTraining"] }}"></i>
                            {{ translations[language]["sizeTraining3"] }}
                            <input id="trainPercentage" type="number" min="1" max="99" step="1" value="80" title="{{ translations[language]["sizeTraining2"] }}">
                        </div>
                    </li>
                    <li class="nav-item">
                        <div class="nav-link">
                            <i class="fa fa-question-circle mr-3 text-primary fa-fw" title="{{ translations[language]["sizeTest"] }}"></i>
                            {{ translations[language]["sizeTest3"] }}
                            <input id="testPercentage" type="number" min="1" max="99" step="1" value="20" title="{{ translations[language]["sizeTest2"] }}">
                        </div>
                    </li>
                    <li class="nav-item">
                        <div class="nav-link">
                            <i class="fa fa-question-circle mr-3 text-primary fa-fw" title="{{ translations[language]["removeOutliers"] }}"></i>
                            {{ translations[language]["removeOutliers3"] }}
                            <input id="removeOutliers" type="checkbox" title="{{ translations[language]["removeOutliers2"] }}">
                            <br>
                            <i class="fa fa-question-circle mr-3 text-primary fa-fw" title="{{ translations[language]["removeRural"] }}"></i>
                            {{ translations[language]["removeRural3"] }}
                            <select id="removeLessRepresentative">
                                <option selected value="undefined">---</option>
                            </select>
{#                            <input id="removeLessRepresentative" type="checkbox" title="{{ translations[language]["removeRural2"] }}">#}
                            <br>
                        </div>
                    </li>
                </ul>
                <button id="runBtn" class="btn btn-success" title="{{ translations[language]["btnRun2"] }}">
                    {{ translations[language]["btnRun"] }}
                </button>
            </div>
            {% include 'footer.html' %}
        </aside>
        <main class="col-9" id="resultsDiv">
            <!-- <button id="sidebarCollapse" type="button" class="btn btn-light bg-white rounded-pill shadow-sm px-4 mb-4"><i class="fa fa-bars mr-2"></i><small class="text-uppercase font-weight-bold"></small></button> -->

            <h2 title="{{ translations[language]["#clearResults"] }}">
                {{ translations[language]["KWresultats"] }}
                <i class="far fa-trash-alt" id="clearResults" title="{{ translations[language]["#clearResults2"] }}" style="color: red; font-size: 22px; padding-left: 0.5rem"></i>
            </h2>
        </main>
    </div>


    <div class="modal" tabindex="-1" role="dialog" id="modalHelpAlgo">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">The Predihood project</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    {{ translations[language]["startingInfoAlgo"] | safe }}
                </div>
            </div>
        </div>
    </div>

    <script src="{{ url_for('static', filename='js/algorithms.js') }}"></script>
{% endblock %}




